Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase
Class AbstractPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractPhase

All Implemented Interfaces:
  EventListener, PhaseLifecycleListener, Phase, SolverLifecycleListener

Direct Known Subclasses:
  DefaultConstructionHeuristicPhase, DefaultCustomPhase, DefaultExhaustiveSearchPhase, DefaultLocalSearchPhase

    public abstract class AbstractPhase

extends Object
implements Phase

See Also:
  `DefaultLocalSearchPhase`

Field Summary
`protected BestSolutionRecaller` | `bestSolutionRecaller`
`protected org.slf4j.Logger` | `logger`
`protected int` | `phaseIndex`
`protected PhaseLifecycleSupport` | `phaseLifecycleSupport`
`protected Termination` | `termination`

Constructor Summary
`AbstractPhase()`

Method Summary
`void` | `addPhaseLifecycleListener(PhaseLifecycleListener phaseLifecycleListener)`
`int` | `getPhaseIndex()`
`Termination` | `getTermination()`
`void` | `phaseEnded(AbstractPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractPhaseScope phaseScope)`
`void` | `removePhaseLifecycleListener(PhaseLifecycleListener phaseLifecycleListener)`
`void` | `setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)`
`void` | `setPhaseIndex(int phaseIndex)`
`void` | `setTermination(Termination termination)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.Phase
`solve`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### phaseIndex

    protected int phaseIndex

### termination

    protected Termination termination

### bestSolutionRecaller

    protected BestSolutionRecaller bestSolutionRecaller

### phaseLifecycleSupport

    protected PhaseLifecycleSupport phaseLifecycleSupport

Constructor Detail

### AbstractPhase

    public AbstractPhase()

Method Detail

### getTermination

    public Termination getTermination()

### getPhaseIndex

    public int getPhaseIndex()

### setPhaseIndex

    public void setPhaseIndex(int phaseIndex)

### setTermination

    public void setTermination(Termination termination)

### setBestSolutionRecaller

    public void setBestSolutionRecaller(BestSolutionRecaller bestSolutionRecaller)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(AbstractPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `PhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Specified by:
    `stepStarted` in interface `PhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Specified by:
    `stepEnded` in interface `PhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `PhaseLifecycleListener`

### addPhaseLifecycleListener

    public void addPhaseLifecycleListener(PhaseLifecycleListener phaseLifecycleListener)

  Specified by:
    `addPhaseLifecycleListener` in interface `Phase`

### removePhaseLifecycleListener

    public void removePhaseLifecycleListener(PhaseLifecycleListener phaseLifecycleListener)

  Specified by:
    `removePhaseLifecycleListener` in interface `Phase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.